# islessequal

From cppreference.com
< c‎ | numeric‎ | math

Defined in header `<math.h>` |  |
#define islessequal(x, y) /* implementation defined */ |  | (since C99)

Determines if the floating point number `x` is less than or equal to the floating-point number `y`, without setting floating-point exceptions.

### Parameters

x | - | floating point value
y | - | floating point value

### Return value

Nonzero integral value if x <= y, ​0​ otherwise.

### Notes

The built-in operator<= for floating-point numbers may raise FE_INVALID if one or both of the arguments is NaN. This function is a "quiet" version of operator<=.

### Example

Run this code

    #include <stdio.h>
    #include <math.h>

    int main(void)
    {
        printf("islessequal(2.0,1.0)      = %d\n", islessequal(2.0,1.0));
        printf("islessequal(1.0,2.0)      = %d\n", islessequal(1.0,2.0));
        printf("islessequal(1.0,1.0)      = %d\n", islessequal(1.0,1.0));
        printf("islessequal(INFINITY,1.0) = %d\n", islessequal(INFINITY,1.0));
        printf("islessequal(1.0,NAN)      = %d\n", islessequal(1.0,NAN));

        return 0;
    }

Possible output:

    islessequal(2.0,1.0)      = 0
    islessequal(1.0,2.0)      = 1
    islessequal(1.0,1.0)      = 1
    islessequal(INFINITY,1.0) = 0
    islessequal(1.0,NAN)      = 0

### References

- C11 standard (ISO/IEC 9899:2011):

  - 7.12.14.4 The islessequal macro (p: 260)

  - F.10.11 Comparison macros (p: 531)

- C99 standard (ISO/IEC 9899:1999):

  - 7.12.14.4 The islessequal macro (p: 241)

### See also

isgreaterequal (C99) | checks if the first floating-point argument is greater or equal than the second (function)

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=c/numeric/math/islessequal&oldid=77367"